aboutsummaryrefslogtreecommitdiffstats
path: root/scripts/qemuimage-tests/tools/dmesg.sh
diff options
context:
space:
mode:
Diffstat (limited to 'scripts/qemuimage-tests/tools/dmesg.sh')
-rw-r--r--scripts/qemuimage-tests/tools/dmesg.sh26
1 files changed, 26 insertions, 0 deletions
diff --git a/scripts/qemuimage-tests/tools/dmesg.sh b/scripts/qemuimage-tests/tools/dmesg.sh
new file mode 100644
index 0000000000..66c022343b
--- /dev/null
+++ b/scripts/qemuimage-tests/tools/dmesg.sh
@@ -0,0 +1,26 @@
+#!/bin/bash
+# Dmesg test script running in QEMU
+#
+# Author: Jiajun Xu <jiajun.xu@intel.com>
+#
+# This file is licensed under the GNU General Public License,
+# Version 2.
+#
+
+which dmesg
+if [ $? -ne 0 ]; then
+ echo "QEMU: No dmesg command found"
+ exit 1
+fi
+
+dmesg | grep -iq "error"
+if [ $? -eq 0 ]; then
+ echo "QEMU: There is some error log in dmesg:"
+ echo "QEMU: ##### Error Log ######"
+ dmesg | grep -i "error"
+ echo "QEMU: ##### End ######"
+ exit 1
+else
+ echo "QEMU: No error log in dmesg"
+ exit 0
+fi